## python-whey-pth 0.0.6

=== requirements.txt ===
dom-toml>=0.4.0
whey>=0.0.25

=== doc-source/requirements.txt ===
configconfig>=0.5.0
default-values>=0.6.0
extras-require>=0.5.0
furo==2021.06.18b36
html-section>=0.3.0
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.3
sphinx-copybutton>=0.5.2
sphinx-debuginfo>=0.2.2
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-packaging>=0.1.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.2.0
toctree-plus>=0.6.1

=== tests/requirements.txt ===
backports-entry-points-selectable>=1.0.2
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
domdf-python-tools[testing]>=2.0.1
importlib-metadata>=3.6.0
iniconfig!=1.1.0,>=1.0.1
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2

=== debian/changelog ===
python-whey-pth (0.0.6-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 19 Aug 2024 08:16:52 +0200

python-whey-pth (0.0.6-1) unstable; urgency=medium

  * [4ebe996] New upstream version 0.0.6
  * [721c6c2] First and basic Debianization
    (Closes: #1078518)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 11 Aug 2024 20:57:09 +0200

=== debian/control ===
Source: python-whey-pth
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-coincidence <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-whey,
Standards-Version: 4.7.0
Homepage: https://github.com/repo-helper/whey-pth
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-whey-pth
Vcs-Git: https://salsa.debian.org/python-team/packages/python-whey-pth.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-whey-pth
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Extension for Whey to support .pth files (Python 3)
 whey-pth adds the ability to support site-specific paths through .pth files if
 the Whey library is used.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=whey_pth

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-coincidence,
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/repo-helper/whey-pth.git \
      refs/tags/@ANY_VERSION@
